## r-cran-ecosolver 0.5.3+dfsg

=== debian/changelog ===
r-cran-ecosolver (0.5.3+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #961835)

 -- Rodrigo Carvalho <rodrigorsdc@gmail.com>  Tue, 02 Jun 2020 14:18:46 -0300
