=== debian/control ===
Source: r-cran-ecosolver
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Rodrigo Carvalho <rodrigorsdc@gmail.com>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ecosolver
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ecosolver.git
Homepage: https://cran.r-project.org/package=ECOSolveR
Rules-Requires-Root: no

Package: r-cran-ecosolver
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
	  r-cran-knitr,
	  r-cran-rmarkdown,
	  r-cran-testthat,
	  r-cran-matrix,
	  r-cran-covr,
	  r-cran-slam
Description: Embedded Conic Solver in R
 R interface to the Embedded COnic Solver (ECOS), an efficient
 and robust C library for convex problems. Conic and equality
 constraints can be specified in addition to integer and
 boolean variable constraints for mixed-integer problems. This
 R interface is inspired by the Python interface and has
 similar calling conventions.
