## r-cran-ecosolver 0.5.4

=== debian/changelog ===
r-cran-ecosolver (0.5.4-3) unstable; urgency=high

  * Team upload.
  * Testsuite: autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Sun, 07 Feb 2021 20:15:10 +0100

r-cran-ecosolver (0.5.4-2) unstable; urgency=high

  * Team upload.
  * Remove test failing at non-intel architectures
    Closes: #982114

 -- Andreas Tille <tille@debian.org>  Sun, 07 Feb 2021 11:54:41 +0000

r-cran-ecosolver (0.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 18 Jan 2021 09:27:30 +0100
