=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Rodrigo Carvalho <rodrigorsdc@gmail.com>
 Section: gnu-r
-Testsuite: autopkgtest-pkg-r
+# Testsuite: autopkgtest-pkg-r # changes needed in autopkgtest
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ecosolver
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ecosolver.git
 Homepage: https://cran.r-project.org/package=ECOSolveR
@@ -19,13 +19,7 @@
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-	  r-cran-knitr,
-	  r-cran-rmarkdown,
-	  r-cran-testthat,
-	  r-cran-matrix,
-	  r-cran-covr,
-	  r-cran-slam
+Suggests: ${R:Suggests}
 Description: Embedded Conic Solver in R
  R interface to the Embedded COnic Solver (ECOS), an efficient
  and robust C library for convex problems. Conic and equality
