=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//" \
https://cloud.r-project.org/src/contrib/ECOSolveR_([-\d.]*)\.tar\.gz
