=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-ecosolver
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Rodrigo Carvalho <rodrigorsdc@gmail.com>
-Section: gnu-r
-# Testsuite: autopkgtest-pkg-r # changes needed in autopkgtest
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ecosolver
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ecosolver.git
+Homepage: https://cran.r-project.org/package=ECOSolveR
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ecosolver
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ecosolver.git
-Homepage: https://cran.r-project.org/package=ECOSolveR
-Rules-Requires-Root: no
 
 Package: r-cran-ecosolver
 Architecture: any
